Bug 121017 - CJK font display on KDE
CJK font display on KDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-04-16 04:53 EDT by Lawrence Lim
Modified: 2014-03-25 20:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-30 13:10:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
KDE screen shot in ja_JP.UTF-8 locale (210.16 KB, image/png)
2004-04-16 04:55 EDT, Lawrence Lim
no flags Details
KDE screenshot with ko_KR.UTF8 locale (217.08 KB, image/png)
2004-04-16 04:56 EDT, Lawrence Lim
no flags Details
KDE screenshot in zh_CN.UTF-8 locale (247.51 KB, image/png)
2004-04-16 04:57 EDT, Lawrence Lim
no flags Details
KDE screenshot in zh_TW.UTF-8 locale (253.21 KB, image/png)
2004-04-16 04:57 EDT, Lawrence Lim
no flags Details
interim fix for qfontengine (532 bytes, patch)
2004-04-20 21:17 EDT, Leon Ho
no flags Details | Diff
Aliases Unknowscript fix (566 bytes, patch)
2004-04-21 03:44 EDT, Leon Ho
no flags Details | Diff

  None (edit)
Description Lawrence Lim 2004-04-16 04:53:48 EDT
Description of problem:
CJK fonts are not able to be displayed on KDE.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Log in screen (gdm) select KDE as session and any CJK as language
2. Enter username/password
Actual results:
Unable to display CJK fonts. (see attached screen-shots)

Expected results:
CJK fonts properly displayed.

Additional info:
Comment 1 Lawrence Lim 2004-04-16 04:55:15 EDT
Created attachment 99466 [details]
KDE screen shot in ja_JP.UTF-8 locale
Comment 2 Lawrence Lim 2004-04-16 04:56:16 EDT
Created attachment 99467 [details]
KDE screenshot with ko_KR.UTF8 locale
Comment 3 Lawrence Lim 2004-04-16 04:57:13 EDT
Created attachment 99468 [details]
KDE screenshot in zh_CN.UTF-8 locale
Comment 4 Lawrence Lim 2004-04-16 04:57:58 EDT
Created attachment 99469 [details]
KDE screenshot in zh_TW.UTF-8 locale
Comment 5 Ngo Than 2004-04-19 13:56:45 EDT
it looks like something is broken in fontconfig. The issue does appear
in GNOME too. with the same version of Qt/KDE, it works fine in FC1!

Comment 6 Jens Petersen 2004-04-19 22:45:05 EDT
Still seems to occur with fontconfig-2.2.1-10 afaict.
Comment 7 Leon Ho 2004-04-20 03:11:30 EDT
Thanks Than for the info. However I have downgraded to RHEL3
fontconfig + freetype but seems it does not fix the problem, but if i
downgrade to qt-3.3.1-0.5 the display is okay again.

It may be possible that one of the patch in between qt builds that
causes the problem. I am trying to debugg it, hopefully we will get
some answers soon. Then we know which package should be causing the
Comment 8 Leon Ho 2004-04-20 21:15:49 EDT
Found out it is one of the new code that changes QFontEngine that is
having problem. Kochi currently is setting as a symbol font (need to
find out why) and new code use this attribute to determine to use
which charmap (UNICODE or
with APPLE_ROMAN and hence cannot display.

I am submitting a patch to fix this problem. However it will unable to
use the symbols from symbol font (ie. Dingbats).

I will try to find a better way to do that. In the interim please
consider this patch. Assigning back to qt.
Comment 9 Leon Ho 2004-04-20 21:17:35 EDT
Created attachment 99580 [details]
interim fix for qfontengine
Comment 10 Leon Ho 2004-04-21 03:43:33 EDT
Currently by this coding the fontconfig font aliases are setting all
scripts as support. so QFont::UnknownScript is also set in their scripts. 
Should they get support flag for QFont::UnknownScript? 

My take is it is better by not setting UnknownScript for alias fonts. 

Attached is the patch for it. It should fix CJK font display problem
on current KDE.
Comment 11 Leon Ho 2004-04-21 03:44:28 EDT
Created attachment 99587 [details]
Aliases Unknowscript fix
Comment 12 Ngo Than 2004-04-21 06:17:41 EDT
>interim fix for qfontengine:
Leon, i have taken a look in src/kernel/qfontengine_x11.cpp, but did
not find the location where it could match your patch!

Comment 13 Ngo Than 2004-04-21 06:52:20 EDT
>Aliases Unknowscript fix
Leon, the patch looks fine for me. I will add it in next qt rebuild.

thanks for the patch file ;-)
Comment 14 Leon Ho 2004-04-21 20:04:30 EDT
You can search for ~/\/\/ symbol font/ right? It is in the new
fontdatabase patch tho. BTW comment #11 replace commment #9's patch so
don't apply "interim fix for qfontengine". 

Let me know when you have the build. Thanks
Comment 15 Ngo Than 2004-04-22 06:05:20 EDT
i'm stupid! of course, it's in fontdatabase.patch.

i'm now building qt-3.3.1-1 in dist-fc2-scratch that includes the
patches. It would be nice if you cound test it in FC2. Thanks
Comment 16 Leon Ho 2004-04-22 10:12:01 EDT
I am in transit to Raleigh now, but as far as I tested remotely it
looks good now! Thanks!
Comment 17 Ngo Than 2004-04-30 13:10:18 EDT
it's fixed in qt-3.3.1-1 or newer. Thanks for your report

Note You need to log in before you can comment on or make changes to this bug.